@import url('https://fonts.googleapis.com/css2?family=Montserrat&display=swap');

* {
    margin: 0;
    font-family: 'Montserrat', sans-serif;
}

html {
    scroll-behavior: smooth;
}

::-webkit-scrollbar {
    width: 0;
}

.statement {
    background-color: transparent;
    width: 450px;
    padding: 30px;
    position: absolute;
    margin-left: 120px;
    margin-top: 150px;
}

#top {
    padding: 40px 20px;
    height: 20px;
    background-color: #7b1113;
    box-shadow: 0px 10px 30px;
}

#logo {
    width: 150px;
    height: 150px;
    margin-top: -80px;
    margin-left: 80px;
    border-radius: 50%;
    box-shadow: 0px 10px 30px;
}

.statement h3 {
    font-size: 30px;
}

form {
    margin-top: -74px;
    padding: 30px;
    float: right;
    padding-right: 50px;
    height: 940px;
    z-index: -50;
    box-shadow: 0px 10px 30px;
    height: 70em;
}

h1 {
    margin-top: 40px;
}

h1, p {
    margin-left: 20px;
}

label {
    margin-left: 30px;
}

input {
    padding: 20px;
    margin-left: 20px;
    border: none;
    outline: none;
    background-color: white;
    opacity: .8;
    box-shadow: 0px 10px 30px;
    transition: border-color 0.3s, transform 0.3s; 
}

input::placeholder {
    color: inherit;
    opacity: 1;
}

input:hover {
    border-color: #7b1113; 
    transform: scale(1.05); 
}

input[id=firstname] {
    width: 290px;
}

input[id=middlename] {
    width: 290px;
}

input[id=surname] {
    width: 290px;
}

input[id=address] {
    width: 290px;
}

input[id=male] {
    margin-left: 50px;
}

input[id=female] {
    margin-left: 50px;
}

input[id=emailadd] {
    width: 290px;
}

input[id=birthday] {
    width: 150px;
    float: right;
    margin-right: 5px;
    margin-top: 35px;
}

label[for=birthday] {
    margin-left: 385px;
    position: absolute;
    margin-top: 56px;
}

input[id=password] {
    width: 290px;
}

input[value=Register] {
    margin-left: 230px;
    width: 300px;
    border: none;
    background-color: maroon;
    color: white;
}

.custom-file-upload {
    position: relative;
    margin-left: 450px;
    margin-top: -20px;
    transition: transform 0.3s; 
}

.custom-file-upload:hover {
    transform: translate(1px, -1px) scale(1.10); 
}

.custom-file-upload input[type="file"] {
    position: absolute;
    left: -9999px;
}

.custom-file-upload label.custom-file-button {
    background-color: #7b1113;
    color: bisque;
    padding: 10px 20px;
    cursor: pointer;
    border-radius: 5px;
}

.yearLevel select {
    margin-left: 20px;
}

.strand {
    margin-left: 5px;
}

.container {
    display: flex;
    justify-content: space-between;
    margin-bottom: 20px; 
}

.yearLevelContainer,
.Strand {
    flex-basis: 48%; 
    transition: transform 0.3s;
}

.yearLevelContainer:hover,
.Strand:hover {
    transform: scale(1.05);
}

.yearLevelContainer label,
.Strand label {
    display: block;
}

.yearLevelContainer .yearLevel,
.Strand .strand {
    display: flex;
}

.yearLevelContainer select,
.Strand select {
    box-shadow: 0px 10px 30px;
    border: none;
    width: 330px;
    padding: 10px;
    font-size: 16px;
    box-sizing: border-box;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    background-image: url('data:image/svg+xml;utf8,<svg fill="%23444444" xmlns="http://www.w3.org/2000/svg" viewBox="0 0 24 24" width="24" height="24"><path d="M7 10l5 5 5-5z"/><path d="M0 0h24v24H0z" fill="none"/></svg>');
    background-repeat: no-repeat;
    background-position: right 10px center;
    background-size: 24px;
    cursor: pointer;
}

.moreInfo input[type="email"],
.moreInfo input[type="password"],
.moreInfo input[type="text"],
.moreInfo input[type="ethnicity"] {
    width: 290px;
}

/* custom alert */

.custom-alert {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #fff;
    border: 1px solid #ccc;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.2);
    padding: 20px;
    width: 300px;
    transition: transform 0.3s; 
}

.custom-alert:hover {
    transform: translate(-50%, -50%) scale(1.15); 
}

.alert-content {
    text-align: center;
    justify-content: center;
}

.close-btn {
    position: absolute;
    top: 5px;
    right: 10px;
    cursor: pointer;
}

h2 {
    margin-top: 0;
}

button {
    margin-left: 20px;
    padding: 10px 20px;
    background-color: #7b1113;
    color: #fff;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    margin-top: 20px;
    transition: transform 0.3s;
}

button:hover {
    transform: translate(1px, -1px) scale(1.10);
}


